Bug 799692 - [abrt] kernel: [197035.493555] WARNING: at lib/list_debug.c:53 __list_del_entry+0xa1/0xd0()
[abrt] kernel: [197035.493555] WARNING: at lib/list_debug.c:53 __list_del_ent...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:751eb5e11a4d9cb71fc7489f679...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 06:27 EST by Joseph B. Ottinger
Modified: 2014-08-31 19:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 17:52:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph B. Ottinger 2012-03-04 06:27:13 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.7-1.fc16.x86_64 root=/dev/mapper/luks-cbec0e25-3934-49b8-b849-3977768417e5 ro rd.lvm.lv=vg_jottinge/lv_swap rd.md=0 rd.dm=0 SYSFONT=latarcyrheb-sun16 rd.luks.uuid=luks-cbec0e25-3934-49b8-b849-3977768417e5 rd.luks.uuid=luks-8975b65e-41f0-4da4-94af-22581319dfe2 LANG=en_US.UTF-8 KEYTABLE=us quiet rhgb rd.lvm.lv=vg_jottinge/lv_root
comment:        Running Gnome 3, started Warzone 2100, X session ended immediately.
kernel:         3.2.7-1.fc16.x86_64
reason:         [197035.493555] WARNING: at lib/list_debug.c:53 __list_del_entry+0xa1/0xd0()
time:           Sun 04 Mar 2012 06:21:47 AM EST

backtrace:
:[197035.493555] WARNING: at lib/list_debug.c:53 __list_del_entry+0xa1/0xd0()
:[197035.493557] Hardware name: 4243B37
:[197035.493559] list_del corruption. prev->next should be ffff88020e107e18, but was           (null)
:[197035.493560] Modules linked in: tun tcp_lp vfat fat fuse ppdev parport_pc lp parport be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 8021q garp stp mdio llc ib_iser fcoe libfcoe libfc scsi_transport_fc scsi_tgt rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_hdmi snd_hda_codec_conexant arc4 iwlwifi mac80211 cfg80211 thinkpad_acpi btusb bluetooth rfkill snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd snd_page_alloc e1000e uvcvideo videodev media v4l2_compat_ioctl32 iTCO_wdt joydev iTCO_vendor_support binfmt_misc uinput soundcore microcode i2c_i801 tpm_tis tpm tpm_bios xts gf128mul usb_storage dm_crypt firewire_ohci firewire_core crc_itu_t sdhci_pci sdhci mmc_core wmi i
:915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[197035.493623] Pid: 21133, comm: lsb_release Not tainted 3.2.7-1.fc16.x86_64 #1
:[197035.493625] Call Trace:
:[197035.493631]  [<ffffffff8106dd4f>] warn_slowpath_common+0x7f/0xc0
:[197035.493634]  [<ffffffff8106de46>] warn_slowpath_fmt+0x46/0x50
:[197035.493637]  [<ffffffff812c9fc1>] __list_del_entry+0xa1/0xd0
:[197035.493641]  [<ffffffff811a1eca>] inode_wb_list_del+0x5a/0x90
:[197035.493644]  [<ffffffff81192343>] evict+0x53/0x1a0
:[197035.493647]  [<ffffffff811922f0>] ? destroy_inode+0x70/0x70
:[197035.493649]  [<ffffffff81192593>] iput+0x103/0x200
:[197035.493652]  [<ffffffff8118f0e0>] d_kill+0xf0/0x100
:[197035.493654]  [<ffffffff8118f772>] dput+0xe2/0x1b0
:[197035.493657]  [<ffffffff8117aad6>] fput+0x176/0x220
:[197035.493660]  [<ffffffff81177216>] filp_close+0x66/0x90
:[197035.493663]  [<ffffffff811772d8>] sys_close+0x98/0xf0
:[197035.493667]  [<ffffffff815e9d82>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: 5703f9e4-dad8-4760-9ab9-d0ac54299e25
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5581.36
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2801
:System Memory: 7870
:System Swap: 5887
:Vendor: LENOVO
:System: 4243B37 ThinkPad T520
:Form factor: Notebook
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59427:6058:8655) pci, sdhci-pci, BASE, N/A
:(32902:294:6058:8655) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-cbec0e25-3934-49b8-b849-3977768417e5 / ext4 4096 4096 118244364 114365100 113181971 29589504 29398090 29398090
:/dev/sda1 /boot ext4 1024 1024 508745 411768 386168 128016 127780 127780
:/dev/mapper/luks-116bf7f6-463c-4c71-a2b1-e444ef27c680 /home ext4 4096 4096 2090068 1335890 1231058 524288 511536 511536
:
Comment 1 Dave Jones 2012-03-09 09:55:20 EST
was this machine suspended/hibernated before this happened ?

can you reproduce it ?
Comment 2 Joseph B. Ottinger 2012-03-09 09:58:54 EST
It was not suspended or hibernated at any point; this was an active session from boot. 

It happens (very) intermittently; it happened three times before the bug was trapped (on earlier kernels), and the response with two of those sessions was termination of the current user session (reverting back to GDM) and once was termination of X entirely (going back to a console prompt for login.)
Comment 3 Dave Jones 2012-03-09 13:02:48 EST
if you could run the kernel-debug build at http://koji.fedoraproject.org/koji/buildinfo?buildID=304798 that might turn up a different trace that might be helpful to us to track this down.

(it's going to be considerably slower than the regular build, due to the extra checking).
Comment 4 Dave Jones 2012-03-22 12:40:25 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 12:45:32 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 Dave Jones 2012-03-22 12:54:26 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Note You need to log in before you can comment on or make changes to this bug.